TestFeatureDiscoverySupport (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.runner.phase

## [Groovy] Class TestFeatureDiscoverySupport

- org.codehaus.groovy.grails.test.runner.phase.TestFeatureDiscoverySupport

- The default strategy for discovering test types and phase configurers

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, TestPhaseConfigurer>` | `configurers`
    `java.util.Set<java.lang.String>` | `functionalTests`
    `java.util.Set<java.lang.String>` | `integrationTests`
    `java.util.Set<java.lang.String>` | `otherTests`
    `groovy.lang.Binding` | `testExecutionContext`
    `java.util.Set<java.lang.String>` | `unitTests`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TestPhaseConfigurer` | `findPhaseConfigurer(java.lang.String phase)`
    `java.util.Set<java.lang.String>` | `findTestType(java.lang.String phase)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Map<java.lang.String, TestPhaseConfigurer> configurers

    - #### java.util.Set<java.lang.String> functionalTests

    - #### java.util.Set<java.lang.String> integrationTests

    - #### java.util.Set<java.lang.String> otherTests

    - #### groovy.lang.Binding testExecutionContext

    - #### java.util.Set<java.lang.String> unitTests

  - ### Method Detail

    - #### TestPhaseConfigurer findPhaseConfigurer(java.lang.String phase)

    - #### java.util.Set<java.lang.String> findTestType(java.lang.String phase)